;-| Button Remapping |-----------------------------------------------------
;[Remap]
;x = x
;y = y
;z = z
;a = a
;b = b
;c = c
;s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
command.time = 15
command.buffer.time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command =a
time = 1

[Command]
name = "b"
command =b
time = 1

[Command]
name = "c"
command =c
time = 1

[Command]
name = "x"
command =x
time = 1

[Command]
name = "y"
command =y
time = 1

[Command]
name = "z"
command =z
time = 1

[Command]
name = "s"
command =s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd"  ;Required (do not remove)
command =/$F
time = 1

[Command]
name = "holdback" ;Required (do not remove)
command =/$B
time = 1

[Command]
name = "holdup"   ;Required (do not remove)
command =/$U
time = 1

[Command]
name = "holddown" ;Required (do not remove)
command =/$D
time = 1

;-| Hold Button |-----------------------------------------------------------
[Command]
name = "hold_x"
command =/x
time = 1

[Command]
name = "hold_y"
command =/y
time = 1

[Command]
name = "hold_z"
command =/z
time = 1

[Command]
name = "hold_a"
command =/a
time = 1

[Command]
name = "hold_b"
command =/b
time = 1

[Command]
name = "hold_c"
command =/c
time = 1

[Command]
name = "hold_s"
command =/s
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "fwd_a"
command = /F,a
time = 1
[Command]
name = "fwd_b"
command = /F,b
time = 1
[Command]
name = "fwd_c"
command = /F,c
time = 1
[Command]
name = "fwd_x"
command = /F,x
time = 1
[Command]
name = "fwd_y"
command = /F,y
time = 1
[Command]
name = "fwd_z"
command = /F,z
time = 1

;-| CPU |--------------------------------------------------------------
[Command]
name = "a2"
command = a
time = 1

[Command]
name = "b2"
command = b
time = 1

[Command]
name = "c2"
command = c
time = 1

[Command]
name = "x2"
command = x
time = 1

[Command]
name = "y2"
command = y
time = 1

[Command]
name = "z2"
command = z
time = 1

[Command]
name = "s2"
command = s
time = 1

[Command]
name = "holdfwd2"
command = /$F
time = 1

[Command]
name = "holdback2"
command = /$B
time = 1

[Command]
name = "holdup2"
command = /$U
time = 1

[Command]
name = "holddown2"
command = /$D
time = 1

[Command]
name = "holda2"
command = /a
time = 1

[Command]
name = "holdb2"
command = /b
time = 1

[Command]
name = "holdc2"
command = /c
time = 1

[Command]
name = "holdx2"
command = /x
time = 1

[Command]
name = "holdy2"
command = /y
time = 1

[Command]
name = "holdz2"
command = /z
time = 1

[Command]
name = "hold_s2"
command = /s
time = 1

[Command]
name = "recovery2"
command = x+y
time = 1

;-| Other |---------------------------------------------------------


[Command]
name = "back_a"
command = /B,a
time = 1
[Command]
name = "back_b"
command = /B,b
time = 1
[Command]
name = "back_c"
command = /B,c
time = 1
[Command]
name = "back_x"
command =/B,x
time = 1
[Command]
name = "back_y"
command =/B,y
time = 1
[Command]
name = "back_z"
command =/B,z
time = 1

[Command]
name = "down_a"
command =/D,a
time = 1
[Command]
name = "down_b"
command =/D,b
time = 1
[Command]
name = "down_c"
command =/D,c
time = 1
[Command]
name = "down_x"
command =/D,x
time = 1
[Command]
name = "down_y"
command =/D,y
time = 1
[Command]
name = "down_z"
command =/D,z
time = 1

[Command]
name = "fwd_ab"
command =/F, a+b
time = 1
[Command]
name = "fwd_bc"
command =/F, b+c
time = 1

[Command]
name = "fwd_xy"
command =/F, x+y
time = 1
[Command]
name = "fwd_yz"
command =/F, y+z
time = 1

[Command]
name = "back_xy"
command =/B, x+y
time = 1
[Command]
name = "back_yz"
command =/B, y+z
time = 1

[Command]
name = "back_ab"
command =/B, a+b
time = 1
[Command]
name = "back_bc"
command =/B, b+c
time = 1

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"       ;Required (do not remove)
command =F, F
time = 10

[Command]
name = "BB"       ;Required (do not remove)
command =B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery" ;Required (do not remove)
command =a+b
time = 1

[Command]
name = "xy"
command = x+y
time = 1

;[Command]
;name = "xa"
;command = x+a
;time = 1

;-| Special Motions |------------------------------------------------------
[Command]
name = "cerchio"
command = ~D, DF, F, x
time = 10

[Command]
name = "doppiocerchio"
command = ~D, DF, F, y
time = 10

[Command]
name = "anelli"
;command = ~F, B, F, y
command = ~D, DF, F, D, DF, F, x
time = 10

[Command]
name = "luceondulante"
command = ~D, DB, B, D, DB, B, y
time = 20

[Command]
name = "superpunch_d"
command = ~D, DB, B, x
time = 10

[Command]
name = "superpunch_f"
command = ~D, DB, B, y
time = 5

[Command]
name = "presa_d"
command = ~D, DF, F, a
time = 10

[Command]
name = "presa_f"
command = ~D, DF, F, b
time = 5

;-| Dir + Button |---------------------------------------------------------
[Command];parry
name = "parryS"
command = F;
time = 1

[Command];parry
name = "parryC"
command = D
time = 1

[Command];parry
name = "parryA"
command = F;
time = 1

[Command];knockback
name = "knockbackS"
command = /B
time = 3

;---------------------------------------------------------------------------
; Commands
[Statedef -1]

;===========================================================================


;---------------------------------------------------------------------------
;RunFwd
[State -1]
type = ChangeState
value = 100
triggerall = var(0) = 0
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;RunBack
[State -1]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
; Dodge
[State -1]
type = ChangeState
value = 700
triggerall = var(0) = 0
trigger1 = command = "xy"
trigger1 = statetype = S
trigger1 = command != "holddown"
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Respinta
[State -1]
type = ChangeState
value = 750
triggerall = var(0) = 0
triggerall = (stateno = 5030) || (stateno = 5035) || (Stateno = 5020); || (stateno = 5000) || (stateno = 5001) || (stateno = 5002) || (stateno = 5010) || (stateno = 5011) || (stateno = 5012)
triggerall = power >= 1000
trigger1 = command = "recovery"
;---------------------------------------------------------------------------
; Scivolata

[State -1]
type = VarSet
trigger1 = stateno != 790
trigger1 = stateno != 100
v = 22
value = 0

;[State -1]
;type = VarSet
;trigger1 = stateno = 100
;trigger1 = command = "xa"
;trigger1 = command = "holdfwd"
;v = 22
;value = 22

;Forward_X+Y 
[State -1]
type = ChangeState
value = 790
triggerall = stateno != 790
trigger1 = Var(22) = 22

;Forward_X+Y (e{)
;[State -1]
;type = ChangeState
;value = 790
;triggerall = command = "xa"
;triggerall = command != "holddown"
;triggerall = command != "holdback"
;triggerall = stateno != 790
;triggerall = Var(22) != 22
;trigger1 = statetype = S
;trigger1 = ctrl = 1

;---------------------------------------------------------------------------

;Kung Fu Throw
;
[State -1, Kung Fu Throw]
type = ChangeState
value = 800
triggerall = var(0) = 0
triggerall = command = "y"
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X < 3
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
trigger2 = command = "holdback"
trigger2 = p2bodydist X < 5
trigger2 = (p2statetype = S) || (p2statetype = C)
trigger2 = p2movetype != H
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 405
trigger7 = movecontact = 1
trigger8 = stateno = 410
trigger8 = movecontact = 1
trigger9 = stateno = 415
trigger9 = movecontact = 1

;=========================================================================

;Cerchio Luminoso
[State -1]
type = ChangeState
value = 1000
triggerall = var(0) = 0
triggerall = command = "cerchio"
triggerall = numproj = 0
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 410
trigger7 = movecontact = 1

;Doppio Cerchio Di Luce
[State -1]
type = ChangeState
value = 1100
triggerall = var(0) = 0
triggerall = command = "doppiocerchio"
triggerall = numproj = 0
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 410
trigger7 = movecontact = 1

;Anelli Di Luce
[State -1]
type = ChangeState
value = 1200
triggerall = var(0) = 0
triggerall = command = "anelli"
triggerall = power >= 2000
triggerall = numproj = 0
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 410
trigger7 = movecontact = 1

;Luce Ondulante Di Cento
[State -1]
type = ChangeState
value = 1300
triggerall = var(0) = 0
triggerall = command = "luceondulante"
triggerall = power >= 1000
triggerall = numproj = 0
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 410
trigger7 = movecontact = 1

;Superpugno debole
[State -1]
type = ChangeState
value = 2000
triggerall = var(0) = 0
triggerall = command = "superpunch_d"
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 410
trigger7 = movecontact = 1

;Superpugno forte
[State -1]
type = ChangeState
value = 2050
triggerall = var(0) = 0
triggerall = command = "superpunch_f"
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 410
trigger7 = movecontact = 1

;Presa Infuocata debole
[State -1]
type = ChangeState
value = 2500
triggerall = var(0) = 0
triggerall = command = "presa_d"
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger8 = stateno = 410
trigger8 = movecontact = 1
trigger10 = stateno = 430
trigger10 = movecontact = 1
trigger10 = stateno = 440
trigger10 = movecontact = 1

;Presa Infuocata forte
[State -1]
type = ChangeState
value = 2550
triggerall = var(0) = 0
triggerall = command = "presa_f"
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger8 = stateno = 410
trigger8 = movecontact = 1
trigger10 = stateno = 430
trigger10 = movecontact = 1
trigger10 = stateno = 440
trigger10 = movecontact = 1


;---------------------------------------------------------------------------
;Stand Light Punch(close)
[State -1]
type = ChangeState
value = 205
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = p2bodydist x < 15
trigger1 = statetype = S
trigger1 = ctrl = 1 = 1
trigger2 = stateno = 200
trigger2 = time > 10

;Stand Light Punch
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = var(0) = 0
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = time > 10
trigger3 = stateno = 205
trigger3 = time > 6

;---------------------------------------------------------------------------
;Stand Strong Punch(close)
[State -1]
type = ChangeState
value = 215
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = p2bodydist x < 15
trigger1 = statetype = S
trigger1 = ctrl = 1 = 1

;Stand Strong Punch
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = command = "y"
triggerall = command != "holddown"
triggerall = var(0) = 0
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 215
trigger2 = time > 10

;---------------------------------------------------------------------------
;Stand Light Kick(close)
[State -1]
type = ChangeState
value = 235
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = p2bodydist x < 15
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 230
trigger2 = time > 10

;Stand Light Kick
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = var(0) = 0
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 230
trigger2 = time > 10
trigger3 = stateno = 235
trigger3 = time > 3

;---------------------------------------------------------------------------
;Standing Strong Kick (close)
[State -1, Standing Strong Kick]
type = ChangeState
value = 245
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = p2bodydist x < 15
trigger1 = statetype = S
trigger1 = ctrl = 1

;Standing Strong Kick
[State -1, Standing Strong Kick]
type = ChangeState
value = 240
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = var(0) = 0
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 245
trigger2 = time > 20

;---------------------------------------------------------------------------
;Taunt Carica
[State -1, Taunt]
type = ChangeState
value = 196
triggerall = command = "s"
triggerall = power < 3000
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Taunt
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = command = "s"
triggerall = power >= 3000
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Taunt Carica Life

[State -1, Taunt Carica Life]
type = ChangeState
value = 197
triggerall = command = "z"
triggerall = life < 400
triggerall = power >= 3000
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Crouching Light Punch
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = command = "x"
triggerall = command = "holddown"
triggerall = var(0) = 0
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 400
trigger2 = time > 10

;---------------------------------------------------------------------------
;Crouching Strong Punch
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
triggerall = command = "y"
triggerall = command = "holddown"
triggerall = var(0) = 0
trigger1 = statetype = C
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Crouching Light Kick
[State -1, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = var(0) = 0
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 430
trigger2 = time > 4

;---------------------------------------------------------------------------
;Crouching Strong Kick
[State -1, Crouching Strong Kick]
type = ChangeState
value = 440
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = var(0) = 0
trigger1 = statetype = C
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;Jump_x
[State -1]
type = ChangeState
value = 605
triggerall = command = "x"
triggerall = Vel X = 0
triggerall = stateno != 41
trigger1 = statetype = A
trigger1 = ctrl = 1 = 1

;Jump_y
[State -1]
type = ChangeState
value = 615
triggerall = command = "y"
triggerall = Vel X = 0
triggerall = stateno != 41
trigger1 = statetype = A
trigger1 = ctrl = 1 = 1

;Jump_X
[State -1]
type = ChangeState
value = 635
triggerall = command = "a"
triggerall = Vel X = 0
triggerall = stateno != 41
trigger1 = statetype = A
trigger1 = ctrl = 1 = 1

;Jump_X
[State -1]
type = ChangeState
value = 645
triggerall = command = "b"
triggerall = Vel X = 0
triggerall = stateno != 41
trigger1 = statetype = A
trigger1 = ctrl = 1 = 1

;---------------------------------------------------------------------------
;Jump Light Punch
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = var(8) = -1 && ctrl = 1 && stateno = 41
trigger3 = var(8) =  1 && ctrl = 1 && stateno = 41

;---------------------------------------------------------------------------
;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 610
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = var(8) = -1 && ctrl = 1 && stateno = 41
trigger3 = var(8) =  1 && ctrl = 1 && stateno = 41

;---------------------------------------------------------------------------
;Jump Light Kick
[State -1, Jump Light Kick]
type = ChangeState
value = 630
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = var(8) = -1 && ctrl = 1 && stateno = 41
trigger3 = var(8) =  1 && ctrl = 1 && stateno = 41

;---------------------------------------------------------------------------
;Jump Strong Kick
[State -1, Jump Strong Kick]
type = ChangeState
value = 640
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl = 1
trigger2 = var(8) = -1 && ctrl = 1 && stateno = 41
trigger3 = var(8) =  1 && ctrl = 1 && stateno = 41


;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
;AI Only

;---------------------------------------------------------------------------
;RunFwd AI
[State -1]
type = ChangeState
value = 100
triggerall = var(0) = 1
trigger1 = command = "FF"
trigger1 = Var(0) = 1
trigger1 = Stateno != 100
trigger1 = P2BodyDist X > 100
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Kung Fu Throw AI

[State -1, Kung Fu Throw]
type = ChangeState
value = 800
triggerall = command = "y"
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
triggerall = Var(0) = 1
triggerall = Random <= 800
triggerall = statetype = S
triggerall = ctrl = 1
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X < 3
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
trigger2 = command = "holdback"
trigger2 = p2bodydist X < 5
trigger2 = (p2statetype = S) || (p2statetype = C)
trigger2 = p2movetype != H
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 405
trigger7 = movecontact = 1
trigger8 = stateno = 410
trigger8 = movecontact = 1
trigger9 = stateno = 415
trigger9 = movecontact = 1

;---------------------------------------------------------------------------
; Dodge AI
[State -1]
type = ChangeState
value = 700
triggerall = Var(0) = 1
triggerall = Random <= 150
triggerall = P2BodyDist X <= 80
triggerall = P2StateType != A
triggerall = P2MoveType = A
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
; Respinta AI
[State -1]
type = ChangeState
value = 750
triggerall = var(0) = 1
triggerall = P2BodyDist X <= 100
triggerall = (stateno = 5030) || (stateno = 5035) || (Stateno = 5020); || (stateno = 5000) || (stateno = 5001) || (stateno = 5002) || (stateno = 5010) || (stateno = 5011) || (stateno = 5012)
triggerall = power >= 1000
trigger1 = random <= 300

;---------------------------------------------------------------------------
;=========================================================================

;Cerchio Luminoso
[State -1]
type = ChangeState
value = 1000
triggerall = numproj = 0
triggerall = var(0) = 1
triggerall = random <= 50
triggerall = P2MoveType = H
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 405
trigger7 = movecontact = 1
trigger8 = stateno = 410
trigger8 = movecontact = 1
trigger9 = stateno = 415
trigger9 = movecontact = 1

;Doppio Cerchio Di Luce
[State -1]
type = ChangeState
value = 1100
triggerall = var(0) = 1
triggerall = random <= 100
triggerall = P2MoveType = H
triggerall = numproj = 0
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 405
trigger7 = movecontact = 1
trigger8 = stateno = 410
trigger8 = movecontact = 1
trigger9 = stateno = 415
trigger9 = movecontact = 1

;Anelli Di Luce
[State -1]
type = ChangeState
value = 1200
triggerall = var(0) = 1
triggerall = random <= 100
triggerall = P2MoveType = H
triggerall = power >= 2000
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 405
trigger7 = movecontact = 1
trigger8 = stateno = 410
trigger8 = movecontact = 1
trigger9 = stateno = 415
trigger9 = movecontact = 1

;Luce Ondulante Di Cento
[State -1]
type = ChangeState
value = 1300
triggerall = power >= 1000
triggerall = var(0) = 1
triggerall = random <= 50
triggerall = P2MoveType = H
triggerall = numproj = 0
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 405
trigger7 = movecontact = 1
trigger8 = stateno = 410
trigger8 = movecontact = 1
trigger9 = stateno = 415
trigger9 = movecontact = 1

;Superpugno debole
[State -1]
type = ChangeState
value = 2000
triggerall = var(0) = 1
triggerall = random <= 50
triggerall = P2BodyDist X <= 100
triggerall = P2MoveType = H
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 410
trigger7 = movecontact = 1

;Superpugno forte
[State -1]
type = ChangeState
value = 2050
triggerall = var(0) = 1
triggerall = random <= 50
triggerall = P2BodyDist X <= 100
triggerall = P2MoveType = H
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger7 = stateno = 410
trigger7 = movecontact = 1

;Presa Infuocata debole
[State -1]
type = ChangeState
value = 2500
triggerall = var(0) = 1
triggerall = random <= 300
triggerall = P2BodyDist X <= 30
triggerall = P2MoveType = H
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger8 = stateno = 410
trigger8 = movecontact = 1
trigger10 = stateno = 430
trigger10 = movecontact = 1
trigger10 = stateno = 440
trigger10 = movecontact = 1

;Presa Infuocata forte
[State -1]
type = ChangeState
value = 2550
triggerall = var(0) = 1
triggerall = random <= 300
triggerall = P2BodyDist X <= 30
triggerall = P2MoveType = H
trigger1 = statetype != A
trigger1 = ctrl 
trigger2 = stateno = 200
trigger2 = movecontact = 1
trigger3 = stateno = 205
trigger3 = movecontact = 1
trigger4 = stateno = 210
trigger4 = movecontact = 1
trigger5 = stateno = 215
trigger5 = movecontact = 1
trigger6 = stateno = 400
trigger6 = movecontact = 1
trigger8 = stateno = 410
trigger8 = movecontact = 1
trigger10 = stateno = 430
trigger10 = movecontact = 1
trigger10 = stateno = 440
trigger10 = movecontact = 1

;---------------------------------------------------------------------------
;Stand Light Punch AI
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = var(0) = 1
triggerall = P2BodyDist X <= 100
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 200
trigger2 = time > 7
trigger3 = stateno = 205
trigger3 = time > 3

;---------------------------------------------------------------------------
;Stand Strong Punch AI
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = var(0) = 1
triggerall = P2BodyDist X <= 100
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Taunt Carica AI
[State -1, Taunt]
type = ChangeState
value = 196
triggerall = var(0) = 1
triggerall = random <= 900
triggerall = P2MoveType = H
triggerall = power < 3000
trigger1 = statetype != A
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Taunt Carica Life AI

[State -1, Taunt Carica Life]
type = ChangeState
value = 197
triggerall = command = "z"
triggerall = life < 400
triggerall = power >= 3000
triggerall = P2MoveType = H
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Stand Light Kick
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = var(0) = 1
triggerall = P2BodyDist X <= 100
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1
trigger2 = stateno = 230
trigger2 = time > 10
trigger3 = stateno = 235
trigger3 = time > 11

;---------------------------------------------------------------------------
;Standing Strong Kick
[State -1, Standing Strong Kick]
type = ChangeState
value = 240
triggerall = var(0) = 1
triggerall = P2BodyDist X <= 100
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Crouching Light Punch
[State -1, Crouching Light Punch]
type = ChangeState
value = 400
triggerall = var(0) = 1
triggerall = P2BodyDist X <= 100
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 400
trigger2 = time > 10

;---------------------------------------------------------------------------
;Crouching Strong Punch
[State -1, Crouching Strong Punch]
type = ChangeState
value = 410
triggerall = var(0) = 1
triggerall = P2BodyDist X <= 100
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1

;---------------------------------------------------------------------------
;Crouching Light Kick
[State -1, Crouching Light Kick]
type = ChangeState
value = 430
triggerall = var(0) = 1
triggerall = P2BodyDist X <= 100
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1
trigger2 = stateno = 430
trigger2 = time > 12

;---------------------------------------------------------------------------
;Crouching Strong Kick
[State -1, Crouching Strong Kick]
type = ChangeState
value = 440
triggerall = var(0) = 1
triggerall = P2BodyDist X <= 100
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl = 1


;---------------------------------------------------------------------------
;AI Initialize
;---------------------------------------------------------------------------
;AI End
[State -1]
type = VarSet
triggerall = Var(0) = 1
trigger1 = Win = 1
v = 0
value = 0



